#### D.6.6.8 modSagbiAlg

Procedure from library `classify_aeq.lib` (see classify_aeq_lib).

Usage:
  modSagbiAlg(I,i); I is an ideal, i an integer (optional).

Return:
  ideal, a sagbi basis for I using modular methods.

Purpose:
  Computes a sagbi basis for the ideal given by the generators in I using modular techniques.
  If second argument is 0 then the result is not verified.

Example:

    LIB "classify_aeq.lib";
    ring R=0,t,ds;
    ideal I=t8,t10+t13,t12+t15;
    modSagbiAlg(I,0);
    ==> _[1]=t8
    ==> _[2]=t10+t13
    ==> _[3]=t12+t15
    ==> _[4]=t23-t29
    ==> _[5]=t27
    modSagbiAlg(I);
    ==> _[1]=t8
    ==> _[2]=t10+t13
    ==> _[3]=t12+t15
    ==> _[4]=t23-t29
    ==> _[5]=t27

User manual for Singular version 4.4.1, 2025, generated by texi2html.